Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-15054

Upgrade LSST Firefly deployment to Java 10

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: Firefly, SUIT
    • Labels:
    • Story Points:
      4
    • Epic Link:
    • Sprint:
      SUIT Sprint 2018-08, SUIT Sprint 2018-09, SUIT Sprint 2018-10
    • Team:
      Science User Interface

      Description

      (From IPAC LSST group meeting today)

      We would like to move to Java 10 for the deployment of Firefly servers in LSST, both just to keep moving forward, and specifically because Java 10 is substantially better-integrated with Docker and therefore more suitable for LSST's Kubernetes deployment environment.

      This may trigger moving forward from Tomcat 7 to Tomcat 8 or 9, because the pre-built containers available at https://hub.docker.com/r/_/tomcat/ do not include a Tomcat-7-for-Java-10 build. (Both Tomcat 8 and 9 have base containers available for both Java 8 and Java 10.)

      We need to think about what to do with the IPAC development environments in this context, including testing and our K8s deployments. Ideally we would keep the dev branch compatible with both Java 8 and Java 10 for the foreseeable future.

      This is clearly a FireflyCCB issue.

      Note 8/28/2018 (Trey)- We don't plan to start writing Java 10 code until all the projects have gone though a deployment cycle.  Currently we want to be able to deploy on both Java 8 and Java 10 and the related Tomcats.  When all projects have deployed on Java 10 then we will start using Java 10 features.

        Attachments

          Issue Links

            Activity

            gpdf Gregory Dubois-Felsmann created issue -
            gpdf Gregory Dubois-Felsmann made changes -
            Field Original Value New Value
            Risk Score 0
            gpdf Gregory Dubois-Felsmann made changes -
            Issue Type Improvement [ 4 ] Story [ 10001 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Epic Link DM-8764 [ 28603 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Sprint SUIT Sprint 2018-08 [ 738 ]
            Story Points 4
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Link This issue relates to DM-13648 [ DM-13648 ]
            gpdf Gregory Dubois-Felsmann made changes -
            Link This issue is triggered by DM-14741 [ DM-14741 ]
            gpdf Gregory Dubois-Felsmann made changes -
            Link This issue is triggered by DM-14741 [ DM-14741 ]
            gpdf Gregory Dubois-Felsmann made changes -
            Link This issue relates to DM-14741 [ DM-14741 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Assignee Xiuqin Wu [ xiuqin ] Loi Ly [ loi ]
            roby Trey Roby made changes -
            Description (From IPAC LSST group meeting today)

            We would like to move to Java 10 for the deployment of Firefly servers in LSST, both just to keep moving forward, and specifically because Java 10 is substantially better-integrated with Docker and therefore more suitable for LSST's Kubernetes deployment environment.

            This may trigger moving forward from Tomcat 7 to Tomcat 8 or 9, because the pre-built containers available at https://hub.docker.com/r/_/tomcat/ do not include a Tomcat-7-for-Java-10 build. (Both Tomcat 8 and 9 have base containers available for both Java 8 and Java 10.)

            We need to think about what to do with the IPAC development environments in this context, including testing and our K8s deployments. Ideally we would keep the {{dev}} branch compatible with both Java 8 and Java 10 for the foreseeable future.

            This is clearly a FireflyCCB issue.
            (From IPAC LSST group meeting today)

            We would like to move to Java 10 for the deployment of Firefly servers in LSST, both just to keep moving forward, and specifically because Java 10 is substantially better-integrated with Docker and therefore more suitable for LSST's Kubernetes deployment environment.

            This may trigger moving forward from Tomcat 7 to Tomcat 8 or 9, because the pre-built containers available at [https://hub.docker.com/r/_/tomcat/] do not include a Tomcat-7-for-Java-10 build. (Both Tomcat 8 and 9 have base containers available for both Java 8 and Java 10.)

            We need to think about what to do with the IPAC development environments in this context, including testing and our K8s deployments. Ideally we would keep the {{dev}} branch compatible with both Java 8 and Java 10 for the foreseeable future.

            This is clearly a FireflyCCB issue.

             

            Trey Added: 7/28/2018:

            This ticket does involve 
            roby Trey Roby made changes -
            Watchers Emmanuel Joliet, Gregory Dubois-Felsmann, Loi Ly, Trey Roby, Xiuqin Wu [ Emmanuel Joliet, Gregory Dubois-Felsmann, Loi Ly, Trey Roby, Xiuqin Wu ] Emmanuel Joliet, Gregory Dubois-Felsmann, Loi Ly, Trey Roby, Vandana Desai, Xiuqin Wu [ Emmanuel Joliet, Gregory Dubois-Felsmann, Loi Ly, Trey Roby, Vandana Desai, Xiuqin Wu ]
            roby Trey Roby made changes -
            Description (From IPAC LSST group meeting today)

            We would like to move to Java 10 for the deployment of Firefly servers in LSST, both just to keep moving forward, and specifically because Java 10 is substantially better-integrated with Docker and therefore more suitable for LSST's Kubernetes deployment environment.

            This may trigger moving forward from Tomcat 7 to Tomcat 8 or 9, because the pre-built containers available at [https://hub.docker.com/r/_/tomcat/] do not include a Tomcat-7-for-Java-10 build. (Both Tomcat 8 and 9 have base containers available for both Java 8 and Java 10.)

            We need to think about what to do with the IPAC development environments in this context, including testing and our K8s deployments. Ideally we would keep the {{dev}} branch compatible with both Java 8 and Java 10 for the foreseeable future.

            This is clearly a FireflyCCB issue.

             

            Trey Added: 7/28/2018:

            This ticket does involve 
            (From IPAC LSST group meeting today)

            We would like to move to Java 10 for the deployment of Firefly servers in LSST, both just to keep moving forward, and specifically because Java 10 is substantially better-integrated with Docker and therefore more suitable for LSST's Kubernetes deployment environment.

            This may trigger moving forward from Tomcat 7 to Tomcat 8 or 9, because the pre-built containers available at [https://hub.docker.com/r/_/tomcat/] do not include a Tomcat-7-for-Java-10 build. (Both Tomcat 8 and 9 have base containers available for both Java 8 and Java 10.)

            We need to think about what to do with the IPAC development environments in this context, including testing and our K8s deployments. Ideally we would keep the {{dev}} branch compatible with both Java 8 and Java 10 for the foreseeable future.

            This is clearly a FireflyCCB issue.

            Note 8/28/2018 (Trey)- We don't plan to start writing Java 10 code until all the projects have gone though a deployment cycle.  Currently we want to be able to deploy on both Java 8 and Java 10 and the related Tomcats.  When all projects have deployed on Java 10 then we will start using Java 10 features.
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Sprint SUIT Sprint 2018-08 [ 738 ] SUIT Sprint 2018-08, SUIT Sprint 2018-09 [ 738, 739 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Remote Link This issue links to "IRSA-2050 (Web Link)" [ 17883 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Status To Do [ 10001 ] In Progress [ 3 ]
            loi Loi Ly made changes -
            Reviewers Trey Roby [ roby ]
            Status In Progress [ 3 ] In Review [ 10004 ]
            xiuqin Xiuqin Wu [X] (Inactive) made changes -
            Sprint SUIT Sprint 2018-08, SUIT Sprint 2018-09 [ 738, 739 ] SUIT Sprint 2018-08, SUIT Sprint 2018-09, SUIT Sprint 2018-10 [ 738, 739, 740 ]
            loi Loi Ly made changes -
            Resolution Done [ 10000 ]
            Status In Review [ 10004 ] Done [ 10002 ]

              People

              Assignee:
              loi Loi Ly
              Reporter:
              gpdf Gregory Dubois-Felsmann
              Reviewers:
              Trey Roby
              Watchers:
              Emmanuel Joliet, Gregory Dubois-Felsmann, Loi Ly, Trey Roby, Vandana Desai, Xiuqin Wu [X] (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Jenkins

                  No builds found.